<?php
// SayBusiness back compat functionality
function saybusiness_switch_theme() {
	switch_theme( WP_DEFAULT_THEME, WP_DEFAULT_THEME );
	unset( $_GET['activated'] );
	add_action( 'admin_notices', 'saybusiness_upgrade_notice' );
}
add_action( 'after_switch_theme', 'saybusiness_switch_theme' );

// Adds a message for unsuccessful theme switch.
function saybusiness_upgrade_notice() {
	$message = esc_html_e( 'SayBusiness requires at least WordPress version 4.7. You are running an older version. Please upgrade and try again.', 'saybusiness' ) ;
	wp_die( '<div class="error"><p>'. $message .'</p></div>' );
}

// Prevents the Customizer from being loaded on WordPress versions prior to 4.7.
function saybusiness_customize() {
	$message = esc_html_e( 'SayBusiness requires at least WordPress version 4.7. You are running an older version. Please upgrade and try again.', 'saybusiness' ) ;
	wp_die( '<div class="error"><p>'. $message .'</p></div>' );
}
add_action( 'load-customize.php', 'saybusiness_customize' );

// Prevents the Theme Preview from being loaded on WordPress versions prior to 4.7.
function saybusiness_preview() {
	if ( isset( $_GET['preview'] ) ) {
		$message = esc_html_e( 'SayBusiness requires at least WordPress version 4.7. You are running an older version. Please upgrade and try again.', 'saybusiness' ) ;
		wp_die( '<div class="error"><p>'. $message .'</p></div>' );	}
}
add_action( 'template_redirect', 'saybusiness_preview' );
